Description

Subtasks:
Bug # 28545: (v4) fix encoding in HTML special chars VH Resolved
Bug # 28546: (v4) add backporter tokens again to TemplateView Resolved
Bug # 28547: adjust backporter to show unused search/replace pairs Resolved
Bug # 28548: (v4) fix unit tests Resolved
Bug # 28549: make widgets cacheable, i.e. not implement childnodeaccess interface New
Bug # 28550: (v4) make widgets cacheable, i.e. not implement childnodeaccess interface New
Bug # 28551: (v4) backport VHTest Accepted
Bug # 28552: (v5) write ViewHelper test for compiled run; adjust functional test to do ... New
Bug # 28553: improve XHProf test setup New
Bug # 28554: (v4) implement feature flag to disable caching New
Task # 28556: Collect profiling data Resolved
Bug # 28557: Fix parameter type checking in Fluid Resolved

Associated revisions
Revision 63660b9b - 2011-08-02 08:20 - Sebastian Kurfuerst

[!!!][FEATURE] Compilation of Fluid templates to PHP files

This adds a compile step to the parsing process of templates, layouts and
partials.
If no compiled cache file exists, Fluid will create it while parsing the
respective Fluid template.
The cache file is invalidated as soon as the template/layout/partial
has been modified (or if caches are flushed).
This speeds up the rendering process by factor 2-5!

Breaking change:

    -  AbstractViewHelper::$arguments are no longer an object but an array.
If you used $this->arguments->hasArgument() in your custom ViewHelpers,
you'll have to replace this with $this->hasArgument()

Change-Id: Ia1e1ccd364a1d966b6c840273351ab00410c55cf
Resolves: #28544

History
#1 - 2011-07-28 16:57 - Sebastian Kurfuerst

this speeds fluid up by a factor of 2 - 5 (depending on the template); and reduces memory by a factor of 2-50
#2 - 2011-08-02 08:20 - Mr. Hudson

Patch set 1 of change Ia1e1ccd364a1d966b6c840273351ab00410c55cf has been pushed to the review server.
It is available at http://review.typo3.org/4004

#3 - 2011-08-02 10:05 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- % Done changed from 57 to 100

Applied in changeset commit:63660b9bd1da1218d11fff5b05f02ac0d0638f65.
